### Hierarchy

- Documentation

### Implements

- OnInit
- OnDestroy

## Index

### Inputs

- src

### Constructors

- constructor

### Properties

- _src
- elementRef
- sanitizer

### Accessors

- src

### Methods

- ngOnDestroy
- ngOnInit
- onLoad

## Constructors

### constructor

- new Documentation(elementRef: ElementRef, sanitizer: DomSanitizer): Documentation

- - Defined in src/documentation-component/documentation.component.ts:29

  #### Parameters

  - ##### elementRef: ElementRef

  - ##### sanitizer: DomSanitizer

  #### Returns Documentation

## Properties

### Protected _src

_src: any

- Defined in src/documentation-component/documentation.component.ts:29

### Protected elementRef

elementRef: ElementRef

- Defined in src/documentation-component/documentation.component.ts:31

### Protected sanitizer

sanitizer: DomSanitizer

- Defined in src/documentation-component/documentation.component.ts:31

## Accessors

### src

@Input()
src:

- Defined in src/documentation-component/documentation.component.ts:22
- Defined in src/documentation-component/documentation.component.ts:25

## Methods

### ngOnDestroy

- ngOnDestroy(): void

- - Defined in src/documentation-component/documentation.component.ts:37

  #### Returns void

### ngOnInit

- ngOnInit(): void

- - Defined in src/documentation-component/documentation.component.ts:33

  #### Returns void

### onLoad

- onLoad(): void

- - Defined in src/documentation-component/documentation.component.ts:42

  #### Returns void

Generated using TypeDoc